Bug 183852 - New port: textproc/rubygem-yard-chef YARD plugin for Chef
Summary: New port: textproc/rubygem-yard-chef YARD plugin for Chef
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-10 23:00 UTC by Douglas Thrift
Modified: 2013-11-20 03:20 UTC (History)
1 user (show)

See Also:


Attachments
rubygem-yard-chef.shar (1.10 KB, text/plain)
2013-11-10 23:00 UTC, Douglas Thrift
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Douglas Thrift 2013-11-10 23:00:00 UTC
yard-chef is a YARD plugin for Chef that adds support for documenting Chef
resources, providers, and definitions.

http://github.com/rightscale/yard-chef

https://redports.org/buildarchive/20131110221300-16147/
Comment 1 Edwin Groothuis freebsd_committer 2013-11-10 23:00:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ruby

ruby@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Po-Chuan Hsieh freebsd_committer 2013-11-19 22:12:01 UTC
Responsible Changed
From-To: ruby->sunpoet

I'll take it.
Comment 3 dfilter service freebsd_committer 2013-11-20 03:15:26 UTC
Author: sunpoet
Date: Wed Nov 20 03:15:07 2013
New Revision: 334374
URL: http://svnweb.freebsd.org/changeset/ports/334374

Log:
  - Add rubygem-yard-chef 1.0.0
  
  yard-chef is a YARD plugin for Chef that adds support for documenting Chef
  resources, providers, and definitions.
  
  WWW: https://github.com/rightscale/yard-chef
  
  PR:		ports/183852
  Submitted by:	Douglas William Thrift <douglas@douglasthrift.net>

Added:
  head/textproc/rubygem-yard-chef/
  head/textproc/rubygem-yard-chef/Makefile   (contents, props changed)
  head/textproc/rubygem-yard-chef/distinfo   (contents, props changed)
  head/textproc/rubygem-yard-chef/pkg-descr   (contents, props changed)
Modified:
  head/textproc/Makefile

Modified: head/textproc/Makefile
==============================================================================
--- head/textproc/Makefile	Wed Nov 20 03:15:01 2013	(r334373)
+++ head/textproc/Makefile	Wed Nov 20 03:15:07 2013	(r334374)
@@ -1350,6 +1350,7 @@
     SUBDIR += rubygem-xslt
     SUBDIR += rubygem-ya2yaml
     SUBDIR += rubygem-yard
+    SUBDIR += rubygem-yard-chef
     SUBDIR += rubygem-zmq
     SUBDIR += rw-aspell
     SUBDIR += rxp

Added: head/textproc/rubygem-yard-chef/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/textproc/rubygem-yard-chef/Makefile	Wed Nov 20 03:15:07 2013	(r334374)
@@ -0,0 +1,20 @@
+# Created by: Douglas Thrift <douglas@douglasthrift.net>
+# $FreeBSD$
+
+PORTNAME=	yard-chef
+PORTVERSION=	1.0.0
+CATEGORIES=	textproc devel rubygems
+MASTER_SITES=	RG
+
+MAINTAINER=	douglas@douglasthrift.net
+COMMENT=	YARD plugin for Chef
+
+LICENSE=	MIT
+
+RUN_DEPENDS=	rubygem-yard>=0.8:${PORTSDIR}/textproc/rubygem-yard
+
+USE_RUBY=	yes
+USE_RUBYGEMS=	yes
+RUBYGEM_AUTOPLIST=	yes
+
+.include <bsd.port.mk>

Added: head/textproc/rubygem-yard-chef/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/textproc/rubygem-yard-chef/distinfo	Wed Nov 20 03:15:07 2013	(r334374)
@@ -0,0 +1,2 @@
+SHA256 (rubygem/yard-chef-1.0.0.gem) = cfdc80f4d7fd5563393353e12bd3819f0aa602ed7791e6cae4afd33977909699
+SIZE (rubygem/yard-chef-1.0.0.gem) = 14336

Added: head/textproc/rubygem-yard-chef/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/textproc/rubygem-yard-chef/pkg-descr	Wed Nov 20 03:15:07 2013	(r334374)
@@ -0,0 +1,4 @@
+yard-chef is a YARD plugin for Chef that adds support for documenting Chef
+resources, providers, and definitions.
+
+WWW: https://github.com/rightscale/yard-chef
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Po-Chuan Hsieh freebsd_committer 2013-11-20 03:15:51 UTC
State Changed
From-To: open->closed

New port added. Thanks!